seed_everything: 42
trainer:
  accelerator: gpu
  strategy: auto
  devices: auto
  num_nodes: 1
  precision: 32-true
  callbacks:
    - class_path: viscy.light.predict_writer.HCSPredictionWriter
      init_args:
        # modify this line
        output_store: output.zarr
        write_input: false
        write_interval: batch
  fast_dev_run: false
  enable_progress_bar: true
  inference_mode: true
model:
  architecture: UNeXt2
  model_config:
    in_channels: 1
    out_channels: 2
    in_stack_depth: 5
    backbone: convnextv2_tiny
    stem_kernel_size: [5, 4, 4]
    decoder_mode: pixelshuffle
    head_expansion_ratio: 4
    head_pool: True
data:
  # modify this line
  data_path: input.zarr
  source_channel: Phase3D
  target_channel: [Nuclei, Membrane]
  z_window_size: 5
  batch_size: 4
  num_workers: 8
  architecture: UNeXt2
  normalizations:
    - class_path: viscy.transforms.NormalizeSampled
      init_args:
        keys: BF
        level: fov_statistics
        subtrahend: median
        divisor: iqr
    # invert at 100% probability for Zernike phase contrast
    #- class_path: viscy.transforms.RandInvertIntensityd
      #init_args:
        #keys: BF
        #prob: 1.0
return_predictions: false
# modify this to use absolute path
ckpt_path: epoch=48-step=18130.ckpt
